import { BaseSyntheticEvent } from 'react';
import { ComponentProps } from '@equinor/fusion-react-utils';
import { SearchableDropdownElement, SearchableDropdownSelectEvent as HTMLSearchableDropdownSelectEvent } from '@equinor/fusion-wc-searchable-dropdown';
export { SearchableDropdownResult, SearchableDropdownResultItem, SearchableDropdownResolver, } from '@equinor/fusion-wc-searchable-dropdown';
type ElementAttributes = Partial<Pick<SearchableDropdownElement, 'id' | 'label' | 'placeholder' | 'variant' | 'meta' | 'value' | 'initialText' | 'leadingIcon' | 'dropdownHeight' | 'multiple' | 'graphic'>>;
export type SearchableDropdownSelectEvent = BaseSyntheticEvent<HTMLSearchableDropdownSelectEvent>;
type ElementEvents = {
    onSelect?: (e: SearchableDropdownSelectEvent) => void;
};
type ElementProps = ElementAttributes & ElementEvents;
export type DropdownProps = ComponentProps<SearchableDropdownElement, ElementProps>;
export declare const Dropdown: import("react").ForwardRefExoticComponent<import("@equinor/fusion-react-utils").ComponentAttributes<SearchableDropdownElement> & Partial<Pick<SearchableDropdownElement, "id" | "label" | "placeholder" | "variant" | "meta" | "value" | "initialText" | "leadingIcon" | "dropdownHeight" | "multiple" | "graphic">> & ElementEvents & import("react").RefAttributes<SearchableDropdownElement>>;
export default Dropdown;
//# sourceMappingURL=Dropdown.d.ts.map